
Redmine - Defect #27407

Default assignee in issue categories doesn't work for groups

2017-11-08 14:10 - Alex Stanev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Alex Stanev % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.3

Description

In project settings->issue categories we can select certain user to be assigned by default for every category. Choosing group instead

of user is accepted here, but the group then doesn't get assigned when this category is selected.

We have enabled "Allow issue assignment to groups".

Related issues:

Related to Redmine - Feature #28507: Accept groups in project's default assignee Closed

History

#1 - 2017-12-08 05:14 - Toshi MARUYAMA

- Status changed from New to Confirmed

#2 - 2018-04-09 08:13 - Go MAEDA

- Related to Feature #28507: Accept groups in project's default assignee added

#3 - 2018-04-30 12:48 - Marius BĂLTEANU

- File category.png added

- File new_issue.png added

- File issue.png added

- Status changed from Confirmed to Needs feedback

- Assignee set to Alex Stanev

I've tested this defect on the current trunk (r17320) and 3.4.3 I cannot reproduce it, please see the below steps:

Enabled 'Allow issue assignment to groups'

Added group "B Team" to a project with a role that has the permission 'Issues can be assigned to this role'.

In the 'Issue categories' tab, I've selected 'B Team' as assignee for a category (Recipes as for example).

 category.png 

Open new issue

Fill in anything as subject

Select Recipes as category

 new_issue.png 

Create

The "B Team" is set as assignee

 issue.png 

#4 - 2018-05-13 02:15 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

I confirmed that we can assign a group to categories in Redmine 3.4 and the trunk.

#5 - 2018-05-13 10:34 - Alex Stanev

I can also confirm it works in 3.4.5 now. Took a quick look over changelogs between 3.4.3 and 3.4.5, but couldn't identify any commits, that would

change/fix the behavior. So I attribute this on some wrong configuration from my side.

Thanks to all who looked at it.
https://www.redmine.org/projects/redmine/repository/svn/revisions/17320
https://www.redmine.org/versions/133
